# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KAccelManagerAlgorithm Class Reference

This class encapsulates the algorithm finding the 'best' distribution of accelerators in a hierarchy of widgets. More...

`#include <kaccelmanager_private.h>`

List of all members.

## Static Public Member Functions

void | findAccelerators (KAccelStringList &result, QString &used)

## Static Public Attributes

const int | DEFAULT_WEIGHT = 50
const int | FIRST_CHARACTER_EXTRA_WEIGHT = 50
const int | WORD_BEGINNING_EXTRA_WEIGHT = 50
const int | WANTED_ACCEL_EXTRA_WEIGHT = 150
const int | DIALOG_BUTTON_EXTRA_WEIGHT = 300
const int | ACTION_ELEMENT_WEIGHT = 50
const int | GROUP_BOX_WEIGHT = 0
const int | MENU_TITLE_WEIGHT = 250

## Detailed Description

This class encapsulates the algorithm finding the 'best' distribution of accelerators in a hierarchy of widgets.

Author:
  Matthias Hölzer-Klüpfel <mhk@kde.org>

Version:
  Id
    kaccelmanager_private.h,v 1.5.2.1 2003/02/09 13:55:28 rnolden Exp

Definition at line 88 of file kaccelmanager_private.h.

The documentation for this class was generated from the following files:

- kaccelmanager_private.h
- kaccelmanager.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:47:10 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001